# Poco::Data

# class AbstractPreparation

Library: Data
Package: DataCore
Header: Poco/Data/AbstractPreparation.h

## Description

Interface for calling the appropriate AbstractPreparator method

## Inheritance

Known Derived Classes: Preparation

## Member Summary

Member Functions: operator =, preparation, prepare

## Types Aliases

### PreparatorPtr

using PreparatorPtr = AbstractPreparator::Ptr;

### Ptr

using Ptr = SharedPtr < AbstractPreparation >;

## Constructors

### AbstractPreparation

AbstractPreparation(
PreparatorPtr pPreparator
);

Creates the AbstractPreparation.

### AbstractPreparation

AbstractPreparation();

### AbstractPreparation

AbstractPreparation(
const AbstractPreparation & param48
);

## Destructor

### ~AbstractPreparation

virtual ~AbstractPreparation();

Destroys the AbstractPreparation.

## Member Functions

### prepare

virtual void prepare() = 0;

Prepares data.

### operator =

AbstractPreparation & operator = (
const AbstractPreparation & param49
);

### preparation

PreparatorPtr preparation();

Returns the preparation object

## Variables

### _pPreparator

PreparatorPtr _pPreparator;